---
pageClass: documentation-class
---

# Two.ArcSegment


<div class="extends">

__Extends__: `Two.Path`

</div>





<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/arc-segment.js#L12)

</div>



### Constructor


| Argument | Description |
| ---- | ----------- |
|  `x`  | The x position of the arc segment. |
|  `y`  | The y position of the arc segment. |
|  `innerRadius`  | The inner radius value of the arc segment. |
|  `outerRadius`  | The outer radius value of the arc segment. |
|  `startAngle`  | The start angle of the arc segment in Number. |
|  `endAngle`  | The end angle of the arc segment in Number. |
|  `resolution`  | The number of vertices used to construct the arc segment. |



---

<div class="static member ">

## Two.ArcSegment.Properties








<div class="properties">

A list of properties that are on every [Two.ArcSegment](/documentation/arcsegment).

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/arc-segment.js#L79)

</div>






</div>



---

<div class="static function ">

## Two.ArcSegment.MakeObservable










<div class="params">

| Argument | Description |
| ---- | ----------- |
|  `object`  | The object to make observable. |
</div>




<div class="description">

Convenience function to apply observable qualities of a [Two.ArcSegment](/documentation/arcsegment) to any object. Handy if you'd like to extend the [Two.ArcSegment](/documentation/arcsegment) class on a custom class.

</div>



<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/arc-segment.js#L85)

</div>






</div>



---

<div class="instance member ">

## Two.ArcSegment.innerRadius








<div class="properties">

The size of the inner radius of the arc segment.

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/arc-segment.js#L34)

</div>






</div>



---

<div class="instance member ">

## Two.ArcSegment.outerRadius








<div class="properties">

The size of the outer radius of the arc segment.

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/arc-segment.js#L42)

</div>






</div>



---

<div class="instance member ">

## Two.ArcSegment.startRadius








<div class="properties">

The angle of one side for the arc segment.

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/arc-segment.js#L50)

</div>






</div>



---

<div class="instance member ">

## Two.ArcSegment.endAngle








<div class="properties">

The angle of the other side for the arc segment.

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/arc-segment.js#L58)

</div>






</div>



---

<div class="instance function ">

## Two.ArcSegment.clone




<div class="returns">

__Returns__:



+ `Two.ArcSegment`




</div>







<div class="params">

| Argument | Description |
| ---- | ----------- |
|  `parent`  | The parent group or scene to add the clone to. |
</div>




<div class="description">

Create a new instance of [Two.ArcSegment](/documentation/arcsegment) with the same properties of the current path.

</div>



<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/arc-segment.js#L324)

</div>






</div>



---

<div class="instance function ">

## Two.ArcSegment.toObject




<div class="returns">

__Returns__:



+ `Object`




</div>










<div class="description">

Return a JSON compatible plain object that represents the path.

</div>



<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/arc-segment.js#L363)

</div>






</div>


