---
pageClass: documentation-class
---

# Two.Rectangle


<div class="extends">

__Extends__: `Two.Path`

</div>





<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L10)

</div>



### Constructor


| Argument | Description |
| ---- | ----------- |
|  `x`  | The x position of the rectangle. |
|  `y`  | The y position of the rectangle. |
|  `width`  | The width value of the rectangle. |
|  `height`  | The width value of the rectangle. |



---

<div class="static member ">

## Two.Rectangle.Properties








<div class="properties">

A list of properties that are on every [Two.Rectangle](/documentation/rectangle).

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L53)

</div>






</div>



---

<div class="static function ">

## Two.Rectangle.MakeObservable










<div class="params">

| Argument | Description |
| ---- | ----------- |
|  `object`  | The object to make observable. |
</div>




<div class="description">

Convenience function to apply observable qualities of a [Two.Rectangle](/documentation/rectangle) to any object. Handy if you'd like to extend the [Two.Rectangle](/documentation/rectangle) class on a custom class.

</div>



<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L59)

</div>






</div>



---

<div class="instance member ">

## Two.Rectangle.width








<div class="properties">

The size of the width of the rectangle.

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L29)

</div>






</div>



---

<div class="instance member ">

## Two.Rectangle.height








<div class="properties">

The size of the height of the rectangle.

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L34)

</div>






</div>



---

<div class="instance member ">

## Two.Rectangle.origin








<div class="properties">

A two-component vector describing the origin offset to draw the rectangle. Default is `0, 0`.

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L40)

</div>






</div>



---

<div class="instance function ">

## Two.Rectangle.clone




<div class="returns">

__Returns__:



+ `Two.Rectangle`




</div>







<div class="params">

| Argument | Description |
| ---- | ----------- |
|  `parent`  | The parent group or scene to add the clone to. |
</div>




<div class="description">

Create a new instance of [Two.Rectangle](/documentation/rectangle) with the same properties of the current path.

</div>



<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L168)

</div>






</div>



---

<div class="instance function ">

## Two.Rectangle.toObject




<div class="returns">

__Returns__:



+ `Object`




</div>










<div class="description">

Return a JSON compatible plain object that represents the path.

</div>



<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/rectangle.js#L201)

</div>






</div>


